Skip to main content
POST
Create an Allocation

Authorizations

Authorization
string
header
required

Bearer authentication. Pass the access token in the Authorization: Bearer <token> header.

Body

application/json

POST /allocations request body.

owner_id
string<uuid>
required

Owner ID

rid
string<uuid>
required

Resource ID (line_items.id or recommendation_policies.id)

rtype
enum<string>
required

Resource type allocated to the target (line_item / recommendation_policy)

Available options:
line_item,
recommendation_policy
tid
string<uuid>
required

Target ID (ad_units.id or placements.id)

ttype
enum<string>
required

Target type (ad_unit / placement)

Available options:
ad_unit,
placement
ext
AllocationExt · object

for various configuration

last_comment
string
default:""

Last comment

Response

Successful Response

Response schema for allocation mutations (create/update).

created_at
string<date-time>
required
owner_id
string<uuid>
required

Owner ID

rid
string<uuid>
required

Resource ID (line_items.id or recommendation_policies.id)

rtype
enum<string>
required

Resource type allocated to the target (line_item / recommendation_policy)

Available options:
line_item,
recommendation_policy
tid
string<uuid>
required

Target ID (ad_units.id or placements.id)

ttype
enum<string>
required

Target type (ad_unit / placement)

Available options:
ad_unit,
placement
updated_at
string<date-time>
required
ext
AllocationExt · object

for various configuration

id
string<uuid> | null
last_comment
string
default:""

Last comment

no
integer
default:0

ID of the allocation

status
enum<string>
default:pending

The current status of the allocation (e.g. pending, published, rejected)

Available options:
pending,
requested,
published,
rejected,
canceled,
finished